# fwp-calendar

Originally created for a customer, I imagine that this would help some people
wanting to avoid Wordpresses increasing "pay to use" direction.

Accepts a list of iCal URLs (without auth) and publishes to a page.

Almost entirely generated with ChatGPT. I lay no claim that I have manually
written this entire thing myself. I just need something working and fast.

## MVP

The MVP has very basic functionality. We leverage two external libraries however
have included them within the plugin:

1. [FullCalendar](https://github.com/fullcalendar/fullcalendar)
2. [ics-parser](https://github.com/u01jmg3/ics-parser)

We pull from a public iCal/ICS URL via the server. We then process and display
this information when a shortcode (`[event-calendar]`) is called.

We store a list/array of URLs to pull from, so you should be able to add a
couple.

## Usage

Just install then look in "Settings" for the "FWP Calendar" section.

You can add a simple list of ICS/iCal URLs there however they must be publicly
accessible. I tested and it works with Google calendars.

I created this for a customer who had a list of upcoming events displayed on
their website. They were manually updating the events calendar entirely through
Wordpress, which seemed clunky.

This plugin allows you to maintain a community events calendar from within your
Orgs typical public calendar. Visitors can see events spread out on a calendar
and upcoming events below.

This is good because you can provide the calendar for people to add to their
phones or import into their own calendars. Your options are endless when you
don't use shitty proprietary standards!
